Data Structures | Variables

# factory.hpp File Reference

Factory to 'query' all available blitters. More...

`#include "base.hpp"`
`#include "../debug.h"`
`#include "../string_func.h"`
`#include "../core/string_compare_type.hpp"`
`#include <map>`

Go to the source code of this file.

## Data Structures
class | BlitterFactory
| The base factory, keeping track of all blitters. More...
## Variables
char * | _ini_blitter
| The blitter as stored in the configuration file.
bool | _blitter_autodetected
| Was the blitter autodetected or specified by the user?

## Detailed Description

Factory to 'query' all available blitters.

Definition in file factory.hpp.